LIRCRCD(1)

NAME
lircrcd - daemon to handle consistent .lircrc state among client applications

SYNOPSIS
lircrcd [options] config-file

DESCRIPTION
lircrcd reads the given .lircrc config file and synchronises the mode that the LIRC clients using this config file (irexec(1), irxevent(1) , etc.) are in. Using lircrcd has to be explicitly enabled in the config file by adding the following line at the beginning of the file:
#! lircrcd

-h --help
    display this message

-v --version
    display version

-p --permission=mode
    file permissions for socket

-o --output=socket
    output socket filename

OPTIONS

-p, --premission=mode
    The --permission option gives the file permission of the Unix domain socket lircrcd creates on startup in octal representation. Read the documentation for chmod for further details. If no --permission option is given when the socket is created the default is to give only the user owning the file read and write permissions (0600 in octal representation).

-o, --output=socket
    With the --output option you can select the Unix domain socket, which lircrcd will create. The default is to append a "d" character to the config filename given.

SEE ALSO
The documentation for lirc is maintained as html pages. They are located under html/ in the documentation directory.